import { EventEmitter } from '../../stencil-public-runtime';
import Draggabilly from 'draggabilly';
export declare class QuickomDraggable {
  draggable: Draggabilly;
  element: HTMLElement;
  move: EventEmitter<any>;
  moveStart: EventEmitter<any>;
  staticClick: EventEmitter<any>;
  isVisible: boolean;
  visibleObserver: IntersectionObserver;
  dragPosition: {
    left: number;
    right: number;
    top: number;
    bottom: number;
    width: number;
    height: number;
  };
  onResize: Function;
  onRefDraggableEl(el: HTMLElement): Promise<void>;
  componentDidLoad(): void;
  listenWindowResize(): void;
  observeVisibility(): void;
  initDraggable(): void;
  getCurrentSize(): {
    top: any;
    left: any;
    right: any;
    bottom: any;
    width: any;
    height: any;
  };
  saveCurrentSize(): void;
  calibratePosition(): void;
  render(): any;
  disconnectedCallback(): void;
}
