import EventEmitter3, { ListenerFn } from 'eventemitter3';
export declare class ElementEventEmitter extends EventEmitter3 {
  private element;
  constructor(element: HTMLElement);
  asObservable(): {
    on: (type: string, cb: ListenerFn) => any;
    once: (type: string, cb: ListenerFn) => any;
    removeListener: (type: string, cb: ListenerFn) => any;
    off: (type: string, cb: ListenerFn) => any;
    removeAllListener(): any;
    unsubscribe(): any;
    reEmit(eventEmitter: ElementEventEmitter, eventNames: string[]): any;
  };
  reEmit(e: ElementEventEmitter, eventNames: string[]): {
    on: (type: string, cb: EventEmitter3.ListenerFn<any[]>) => any;
    once: (type: string, cb: EventEmitter3.ListenerFn<any[]>) => any;
    removeListener: (type: string, cb: EventEmitter3.ListenerFn<any[]>) => any;
    off: (type: string, cb: EventEmitter3.ListenerFn<any[]>) => any;
    removeAllListener(): any;
    unsubscribe(): any;
    reEmit(eventEmitter: ElementEventEmitter, eventNames: string[]): any;
  };
}
